# LuksanVlcek4 Class Reference

Implementation of Example 5.4 from Sparse and Parially Separable Test Problems for Unconstrained and Equality Constrained Optimization by L. More...

`#include <LuksanVlcek4.hpp>`

Inheritance diagram for LuksanVlcek4:
[legend]

List of all members.

## Public Member Functions
| LuksanVlcek4 (Number g_l, Number g_u)
| Constructor.
virtual | ~LuksanVlcek4 ()
| Default destructor.
virtual bool | InitializeProblem (Index N)
| Overloaded from RegisteredTNLP.
Overloaded from TNLP
virtual bool | get_nlp_info (Index &n, Index &m, Index &nnz_jac_g, Index &nnz_h_lag, IndexStyleEnum &index_style)
| Method to return some info about the nlp.
virtual bool | get_bounds_info (Index n, Number *x_l, Number *x_u, Index m, Number *g_l, Number *g_u)
| Method to return the bounds for my problem.
virtual bool | get_starting_point (Index n, bool init_x, Number *x, bool init_z, Number *z_L, Number *z_U, Index m, bool init_lambda, Number *lambda)
| Method to return the starting point for the algorithm.
virtual bool | eval_f (Index n, const Number *x, bool new_x, Number &obj_value)
| Method to return the objective value.
virtual bool | eval_grad_f (Index n, const Number *x, bool new_x, Number *grad_f)
| Method to return the gradient of the objective.
virtual bool | eval_g (Index n, const Number *x, bool new_x, Index m, Number *g)
| Method to return the constraint residuals.
virtual bool | eval_jac_g (Index n, const Number *x, bool new_x, Index m, Index nele_jac, Index *iRow, Index *jCol, Number *values)
| Method to return: 1) The structure of the jacobian (if "values" is NULL) 2) The values of the jacobian (if "values" is not NULL).
virtual bool | eval_h (Index n, const Number *x, bool new_x, Number obj_factor, Index m, const Number *lambda, bool new_lambda, Index nele_hess, Index *iRow, Index *jCol, Number *values)
| Method to return: 1) The structure of the hessian of the lagrangian (if "values" is NULL) 2) The values of the hessian of the lagrangian (if "values" is not NULL).
Solution Methods
virtual void | finalize_solution (SolverReturn status, Index n, const Number *x, const Number *z_L, const Number *z_U, Index m, const Number *g, const Number *lambda, Number obj_value, const IpoptData *ip_data, IpoptCalculatedQuantities *ip_cq)
| This method is called when the algorithm is complete so the TNLP can store/write the solution.
## Private Member Functions
Methods to block default compiler methods.
The compiler automatically generates the following three methods. Since the default compiler implementation is generally not what you want (for all but the most simple classes), we usually put the declarations of these methods in the private section and never implement them. This prevents the compiler from implementing an incorrect "default" behavior without us knowing. (See Scott Meyers book, "Effective C++")
| LuksanVlcek4 ()
| LuksanVlcek4 (const LuksanVlcek4 &)
LuksanVlcek4 & | operator= (const LuksanVlcek4 &)
| Overloaded Equals Operator.
## Private Attributes
Index | N_
| Parameter determining problem size.
Number | g_l_
| General lower bound for all constraints.
Number | g_u_
| General upper bound for all constraints.

## Detailed Description

Implementation of Example 5.4 from Sparse and Parially Separable Test Problems for Unconstrained and Equality Constrained Optimization by L.

Luksan and J. Vlcek.

Definition at line 19 of file LuksanVlcek4.hpp.

## Constructor & Destructor Documentation

LuksanVlcek4::LuksanVlcek4 | ( | Number | g_l,
|  | Number | g_u |
| ) |  |  |

Constructor.

Here, g_l and g_u are the bounds for the constraints. The original formulation is obtained by setting g_l and g_u to zero. Using g_l<g_u allows the obtain a problem formulation with inequality constraints.

virtual LuksanVlcek4::~LuksanVlcek4 | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 29 of file LuksanVlcek4.hpp.

LuksanVlcek4::LuksanVlcek4 | ( |  | ) | `[private]`

LuksanVlcek4::LuksanVlcek4 | ( | const LuksanVlcek4 & |  | ) | `[private]`

## Member Function Documentation

virtual bool LuksanVlcek4::InitializeProblem | ( | Index | N | ) | `[virtual]`

Overloaded from RegisteredTNLP.

Implements RegisteredTNLP.

virtual bool LuksanVlcek4::get_nlp_info | ( | Index & | n,
|  | Index & | m,
|  | Index & | nnz_jac_g,
|  | Index & | nnz_h_lag,
|  | IndexStyleEnum & | index_style |
| ) |  |  | `[virtual]`

Method to return some info about the nlp.

Implements Ipopt::TNLP.

virtual bool LuksanVlcek4::get_bounds_info | ( | Index | n,
|  | Number * | x_l,
|  | Number * | x_u,
|  | Index | m,
|  | Number * | g_l,
|  | Number * | g_u |
| ) |  |  | `[virtual]`

Method to return the bounds for my problem.

Implements Ipopt::TNLP.

virtual bool LuksanVlcek4::get_starting_point | ( | Index | n,
|  | bool | init_x,
|  | Number * | x,
|  | bool | init_z,
|  | Number * | z_L,
|  | Number * | z_U,
|  | Index | m,
|  | bool | init_lambda,
|  | Number * | lambda |
| ) |  |  | `[virtual]`

Method to return the starting point for the algorithm.

Implements Ipopt::TNLP.

virtual bool LuksanVlcek4::eval_f | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Number & | obj_value |
| ) |  |  | `[virtual]`

Method to return the objective value.

Implements Ipopt::TNLP.

virtual bool LuksanVlcek4::eval_grad_f | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Number * | grad_f |
| ) |  |  | `[virtual]`

Method to return the gradient of the objective.

Implements Ipopt::TNLP.

virtual bool LuksanVlcek4::eval_g | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Index | m,
|  | Number * | g |
| ) |  |  | `[virtual]`

Method to return the constraint residuals.

Implements Ipopt::TNLP.

virtual bool LuksanVlcek4::eval_jac_g | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Index | m,
|  | Index | nele_jac,
|  | Index * | iRow,
|  | Index * | jCol,
|  | Number * | values |
| ) |  |  | `[virtual]`

Method to return: 1) The structure of the jacobian (if "values" is NULL) 2) The values of the jacobian (if "values" is not NULL).

Implements Ipopt::TNLP.

virtual bool LuksanVlcek4::eval_h | ( | Index | n,
|  | const Number * | x,
|  | bool | new_x,
|  | Number | obj_factor,
|  | Index | m,
|  | const Number * | lambda,
|  | bool | new_lambda,
|  | Index | nele_hess,
|  | Index * | iRow,
|  | Index * | jCol,
|  | Number * | values |
| ) |  |  | `[virtual]`

Method to return: 1) The structure of the hessian of the lagrangian (if "values" is NULL) 2) The values of the hessian of the lagrangian (if "values" is not NULL).

Reimplemented from Ipopt::TNLP.

virtual void LuksanVlcek4::finalize_solution | ( | SolverReturn | status,
|  | Index | n,
|  | const Number * | x,
|  | const Number * | z_L,
|  | const Number * | z_U,
|  | Index | m,
|  | const Number * | g,
|  | const Number * | lambda,
|  | Number | obj_value,
|  | const IpoptData * | ip_data,
|  | IpoptCalculatedQuantities * | ip_cq |
| ) |  |  | `[virtual]`

This method is called when the algorithm is complete so the TNLP can store/write the solution.

Implements Ipopt::TNLP.

LuksanVlcek4& LuksanVlcek4::operator= | ( | const LuksanVlcek4 & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::TNLP.

## Member Data Documentation

Index LuksanVlcek4::N_`[private]`

Parameter determining problem size.

Definition at line 109 of file LuksanVlcek4.hpp.

Number LuksanVlcek4::g_l_`[private]`

General lower bound for all constraints.

Definition at line 112 of file LuksanVlcek4.hpp.

Number LuksanVlcek4::g_u_`[private]`

General upper bound for all constraints.

Definition at line 114 of file LuksanVlcek4.hpp.

The documentation for this class was generated from the following file:

- examples/ScalableProblems/LuksanVlcek4.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines